Last modified: 2013-03-12 18:24:12 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29915 - Upgrade the WMF-cluster >= Ubuntu 10.04
Upgrade the WMF-cluster >= Ubuntu 10.04
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Highest enhancement (vote)
: ---
Assigned To: Peter Youngmeisterarius
: tracking
Depends on:
Blocks: tracking 25140 30996 22708 24000 26388 29905 46036
  Show dependency treegraph
 
Reported: 2011-07-15 20:35 UTC by Sam Reed (reedy)
Modified: 2013-03-12 18:24 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2011-07-15 20:35:39 UTC
The cluster is overdue an upgrade to 10.04 from 8.04 (granted, some utility servers are already upgraded).

As such, there are many package upgrades etc that will be dealt with by upgrading the OS

Creating this as a tracking bug for it
Comment 1 Brion Vibber 2011-07-15 22:58:17 UTC
Is this a tracking bug (should depend on the various issues, so them getting fixed makes this one closer to closable) or a bug entry for the upgrade itself (should block them, so that when this one is fixed those can be dealt with)?
Comment 2 Sam Reed (reedy) 2011-07-15 23:23:17 UTC
(In reply to comment #1)
> Is this a tracking bug (should depend on the various issues, so them getting
> fixed makes this one closer to closable) or a bug entry for the upgrade itself
> (should block them, so that when this one is fixed those can be dealt with)?

I had them as depends originally, but then swapped them over.

These things "should" be fixed (or at least, the upgrade element) when we do the migration of the apaches, image scalers etc etc...
Comment 3 Mark A. Hershberger 2011-07-29 16:22:46 UTC
http://rt.wikimedia.org/Ticket/Display.html?id=22 is the RT ticket for this.  Ryan Lane is working on this project (updating server binaries) but hasn't said anything since April.  CT is also looking into this.
Comment 4 Sam Reed (reedy) 2011-07-29 16:24:39 UTC
(In reply to comment #3)
> http://rt.wikimedia.org/Ticket/Display.html?id=22 is the RT ticket for this. 
> Ryan Lane is working on this project (updating server binaries) but hasn't said
> anything since April.  CT is also looking into this.

I think it's a case of too much ops work, not enough ops staff members

Hopefully with the couple of extra new hires, we'll get some more activity soon
Comment 5 Ryan Lane 2011-08-17 00:54:09 UTC
The imagescalers can likely be upgraded very soon. Upgrades were tested in the past, but weren't pushed to all nodes. We need to retest with the het deploy changes, then we can upgrade that cluster.

We'll likely start there, then test changes for normal apaches.
Comment 6 Mark A. Hershberger 2011-08-18 16:09:28 UTC
Assigning this to Peter Y. so he can post updates on the progress of this.
Comment 7 Krinkle 2011-08-24 18:20:45 UTC
Renaming bug to be a task instead.
Comment 8 Mark A. Hershberger 2011-10-15 17:27:05 UTC
it was completed recently

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links